aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/runqemu
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/runqemu')
-rwxr-xr-xscripts/runqemu6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/runqemu b/scripts/runqemu
index 91c3c9e93c..113088e548 100755
--- a/scripts/runqemu
+++ b/scripts/runqemu
@@ -354,6 +354,12 @@ if [ -z "$FSTYPE" ]; then
usage
fi
fi
+
+if [ "$FSTYPE" = "nfs" -a "$MACHINE" = "qemuppc" ]; then
+ echo "Error: usermode NFS boot is not available for qemuppc."
+ exit 1
+fi
+
# FSTYPE is now set for all cases
# Handle cases where a ROOTFS type is given instead of a filename, e.g.